%{?nodejs_find_provides_and_requires}

%global packagename dashdash
%global enable_tests 0
# disabled until we bootstrap newer tap

Name:		nodejs-dashdash
Version:	1.10.1
Release:	1%{?dist}
Summary:	A light, featureful and explicit option parsing library

License:	MIT
URL:		https://github.com/trentm/node-dashdash.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1,2} is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source2:	examples-%{version}.tar.bz2
Source10:	dl-tests.sh

# License is in upstream github repo but not in npm tarball
Source3:	https://raw.githubusercontent.com/trentm/node-dashdash/e95a66a095553ef045283b34d7615bf02f0dfaac/LICENSE.txt


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(nodeunit)
%endif

Requires:	nodejs

%description
A light, featureful and explicit option parsing library.


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package
%setup -q -T -D -a 2 -n package
cp -p %{SOURCE3} .


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
nodeunit test/*.test.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md examples/
%license LICENSE.txt
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Oct 29 2015 Jared Smith <jsmith@fedoraproject.org> - 1.10.1-1
- Initial packaging
